<?php

namespace Drupal\employee\Controller;

use Drupal\Core\Controller\ControllerBase;
use Drupal\Core\Database\Database;

/**
 * EmployeeViewControllerクラス
 */
class EmployeeViewController extends ControllerBase {

  /**
   * employeeデータの表示
   *
   * @return array
   *   Return markup array.
   */
  public function view($employee_id) {

    // employeeテーブルから社員IDが$employee_idに等しいデータをselect
    $conn = Database::getConnection();
    $query = $conn->select('employee', 'emp');
    $query->condition('employee_id', $employee_id)->fields('emp');
    // 連想配列として取得
    $employee = $query->execute()->fetchAssoc();


    // 'employee-template.html.twig'に変数$employeeを渡す
    return [
      '#theme' => 'employee_template',
      '#employee' => $employee,
    ];
  }

}

