<?php
/**
 * @file
 * Contains \Drupal\employee\Form\EmployeeFilterForm.
 */
namespace Drupal\employee\Form;

use Drupal\Core\Form\FormBase;
use Drupal\Core\Form\FormStateInterface;
use Drupal\Core\Url;

class EmployeeFilterForm extends FormBase {


  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'employee_filter_form';
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {

    $form['filters']['employee_id'] = [
        '#title'         => '社員ID',
        '#type'          => 'search'
		
    ];
    $form['filters']['dept_code'] = [
        '#title'         => '部門コード',
        '#type'          => 'search'
    ];
    $form['filters']['actions'] = [
        '#type'       => 'actions'
    ];

    $form['filters']['actions']['submit'] = [
        '#type'  => 'submit',
        '#value' => $this->t('絞り込み')
		
    ];
   
    return $form;

  }

  /**
   * {@inheritdoc}
   */
  public function validateForm(array &$form, FormStateInterface $form_state) {


  }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {

    $employee_id = $form_state->getValue('employee_id');
    $dept_code = $form_state->getValue('dept_code');
    $url = Url::fromRoute('employee.list')
          ->setRouteParameters(array('employee_id'=>$employee_id,'dept_code'=>$dept_code));

    // パラメータをセットして一覧へリダイレクト
    $form_state->setRedirectUrl($url); 

  }
}

